Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# Server_Strategy_Factory.h File Reference

`#include "ace/Service_Object.h"`
`#include "TAO_Export.h"`
`#include "Basic_Types.h"`

Include dependency graph for Server_Strategy_Factory.h:

This graph shows which files directly or indirectly include this file:

## Compounds
struct | Active_Object_Map_Creation_Parameters
class | TAO_Server_Strategy_Factory
| Base class for the server's abstract factory that manufactures various strategies of special utility to it. This simply serves as an interface to a subclass that REALLY gets specified and loaded by the Service Configurator. More...
## Enumerations
enum | TAO_Demux_Strategy { TAO_LINEAR, TAO_DYNAMIC_HASH, TAO_ACTIVE_DEMUX, TAO_USER_DEFINED }

## Detailed Description

Id:
  Server_Strategy_Factory.h,v 1.27 2003/10/28 18:29:20 bala Exp

Author:
  Chris Cleeland

## Enumeration Type Documentation

enum TAO_Demux_Strategy

  | Enumeration values:
  TAO_LINEAR |
  TAO_DYNAMIC_HASH |
  TAO_ACTIVE_DEMUX |
  TAO_USER_DEFINED |